Name:           acoustid-fingerprinter
Version:        0.6
Release:        %mkrel 12
Summary:        Music AcoustID fingerprinting application

Group:          Sound/Utilities
License:        GPLv2+
URL:            http://acoustid.org/fingerprinter
Source:         https://github.com/downloads/lalinsky/%{name}/%{name}-%{version}.tar.gz
Patch0:         acoustid-fingerprinter-fix-cmake-for-taglib-1.10.patch
Patch1:         acoustid-fingerprinter-ffmpeg3.patch
Patch2:         acoustid-fingerprinter-0.6-ffmpeg-2.0.patch
# fix decoding with current ffmpeg
# https://bugs.mageia.org/show_bug.cgi?id=9706
Patch3:         acoustid-fingerprinter-request-s16-audio-format.patch


BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  taglib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libchromaprint)


%description
Acoustid fingerprinter is a cross-platform GUI application that uses
Chromaprint to submit audio fingerprints from your music collection 
to the Acoustid database. Only tagged audio files are submitted. 
Files tagged by MusicBrainz applications such as Picard are preferred,
but it will submit fingerprints for any files that have tags such as
track title, artist name, album name, etc.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Debug
# removing the -O3 optimization flag for the release building type
sed -i  "s/-O3 -DNDEBUG//g" CMakeCache.txt
%make_build


%install
%make_install -C build

install -d -m755 %{buildroot}%{_datadir}/applications

desktop-file-install \
  --remove-key Encoding \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

install -p -D -m 0644 images/%{name}.svg  %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%files
%doc CHANGES.txt COPYING.txt 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Tue May 02 2017 akien <akien> 0.6-12.mga6
+ Revision: 1098265
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 0.6-11.mga6
+ Revision: 1090837
- Fix build with ffmpeg 3.0+ via upstream patch
- Rediff s16 audio format and ffmpeg2 patches
- Rebuild for ffmpeg 3.2.4

* Sun Feb 14 2016 luigiwalser <luigiwalser> 0.6-10.mga6
+ Revision: 960385
- rebuild for chromaprint

* Thu Jan 07 2016 gw666 <gw666> 0.6-9.mga6
+ Revision: 920277
- fix build with new taglib

* Fri Nov 14 2014 akien <akien> 0.6-8.mga6
+ Revision: 797197
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 750109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-6.mga5
+ Revision: 677688
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6-5.mga5
+ Revision: 529784
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 fwang <fwang> 0.6-4.mga4
+ Revision: 453233
- fix build with latest ffmpeg

* Thu Apr 11 2013 gw666 <gw666> 0.6-4.mga3
+ Revision: 409707
- fix fingerprint calculation (bug #9706)

* Fri Jan 11 2013 umeabot <umeabot> 0.6-3.mga3
+ Revision: 345251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.6-2.mga3
+ Revision: 341598
- rebuild for new ffmpeg

* Mon Oct 22 2012 gw666 <gw666> 0.6-1.mga3
+ Revision: 309211
- imported package acoustid-fingerprinter

